<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class care_months_SINGLE_Controller extends Controller
{
    public $selfName = 'care_months_SINGLE_Controller';

	// GET /care_months/view/{uid}/ACTION_generateBillForCm
	public function ACTION_generateBillForCm(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_generateBillForCm', compact('record'));
	}

	// GET /care_months/view/{uid}/ACTION_generateBillForRm
	public function ACTION_generateBillForRm(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/ACTION_generateBillForRm', compact('record'));
	}

	// GET /care_months/view/{uid}/SUB_dashboard
	public function SUB_dashboard(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/SUB_dashboard', compact('record'));
	}

	// GET /care_months/view/{uid}/SUB_time_entries
	public function SUB_time_entries(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		$subRecords = DB::table('care_month_entry')->where('care_month_id', $record->id)->get();
		return view('pro/care_months_SINGLE/SUB_time_entries', compact('record', 'subRecords'));
	}

	// GET /care_months/view/{uid}/SUB_audit_log
	public function SUB_audit_log(Request $request, $uid) {
		$record = DB::table('care_month')->where('uid', $uid)->first();
		return view('pro/care_months_SINGLE/SUB_audit_log', compact('record'));
	}
}
