@extends('pro.my_clients.view')
@section('content-inner')

    <h4 class='my-3'>
        <div>Put Name</div>
    </h4>

    <form action="/post-to-api"
          method="post" enctype="multipart/form-data"
          class="bg-light rounded border px-3 pt-3 mr-3 mb-3">
        @csrf

        @if (session('message'))
            <div class="alert alert-danger">{{ session('message') }}</div>
        @endif

        <input type="hidden" name="_uid" value="{{ $record->uid }}">
        <input type="hidden" name="_api" value="/api/client/putName">
        <input type="hidden" name="_success" value="{{route('my_clients-view', ['uid' => $record->uid])}}">
        <input type="hidden" name="_return" value="{{route('my_clients_SINGLE-ACTION_putName', ['uid' => $record->uid])}}">
        <div class='form-group mb-3'>
<label class='control-label'>Name Display</label>
<input class='form-control' type='text' name='name.nameDisplay' value='{{ old('name.nameDisplay') ? old('name.nameDisplay') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Prefix</label>
<input class='form-control' type='text' name='name.namePrefix' value='{{ old('name.namePrefix') ? old('name.namePrefix') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name First</label>
<input class='form-control' type='text' name='name.nameFirst' value='{{ old('name.nameFirst') ? old('name.nameFirst') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Middle</label>
<input class='form-control' type='text' name='name.nameMiddle' value='{{ old('name.nameMiddle') ? old('name.nameMiddle') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Last</label>
<input class='form-control' type='text' name='name.nameLast' value='{{ old('name.nameLast') ? old('name.nameLast') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Suffix</label>
<input class='form-control' type='text' name='name.nameSuffix' value='{{ old('name.nameSuffix') ? old('name.nameSuffix') : '' }}' >
</div>
<div class='form-group mb-3'>
<label class='control-label'>Name Credential</label>
<input class='form-control' type='text' name='name.nameCredential' value='{{ old('name.nameCredential') ? old('name.nameCredential') : '' }}' >
</div>
        <div class="form-group mb-3">
            <button class="btn btn-sm btn-primary mr-3 px-5">Submit</button>
            <a href="{{route('my_clients-view', ['uid' => $record->uid])}}" class="btn btn-sm btn-default px-5">Cancel</a>
        </div>
    </form>

@endsection
