<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class care_month_entries_Controller extends Controller
{
    public $selfName = 'care_month_entries_Controller';

	// GET /care_month_entries
	public function index(Request $request) {
		$records = DB::table('care_month_entry')->get();
		return view('pro/care_month_entries/index', compact('records'));
	}

	// GET /care_month_entries/add_new_for_cm
	public function add_new_for_cm(Request $request) {
		$records = DB::table('care_month_entry')->get();
		return view('pro/care_month_entries/add_new_for_cm', compact('records'));
	}

	// GET /care_month_entries/add_new_for_rm
	public function add_new_for_rm(Request $request) {
		$records = DB::table('care_month_entry')->get();
		return view('pro/care_month_entries/add_new_for_rm', compact('records'));
	}

	// GET /care_month_entries/remove/{uid}
	public function remove(Request $request, $uid) {
		$record = DB::table('care_month_entry')->where('uid', $uid)->first();
		return view('pro/care_month_entries/remove', compact('record'));
	}

	// GET /care_month_entries/view/{uid}
	public function view(Request $request, $uid) {
		return redirect("/care_month_entries/view/$uid/SUB_dashboard");
	}
}
