<?php

use Illuminate\Support\Facades\Route;

// --- pro: my_teams --- //
Route::get('/my_teams', 'my_teams_Controller@index')->name('my_teams-index');
Route::get('/my_teams/add_new', 'my_teams_Controller@add_new')->name('my_teams-add_new');
Route::get('/my_teams/view/{uid}', 'my_teams_Controller@view')->name('my_teams-view');

// --- pro: my_teams_SINGLE --- //
Route::get('/my_teams/view/{uid}/ACTION_updateTeamNumber', 'my_teams_SINGLE_Controller@ACTION_updateTeamNumber')->name('my_teams_SINGLE-ACTION_updateTeamNumber');
Route::get('/my_teams/view/{uid}/SUB_dashboard', 'my_teams_SINGLE_Controller@SUB_dashboard')->name('my_teams_SINGLE-SUB_dashboard');
Route::get('/my_teams/view/{uid}/SUB_clients', 'my_teams_SINGLE_Controller@SUB_clients')->name('my_teams_SINGLE-SUB_clients');
Route::get('/my_teams/view/{uid}/SUB_audit_log', 'my_teams_SINGLE_Controller@SUB_audit_log')->name('my_teams_SINGLE-SUB_audit_log');

// --- pro: my_clients --- //
Route::get('/my_clients', 'my_clients_Controller@index')->name('my_clients-index');
Route::get('/my_clients/add_new', 'my_clients_Controller@add_new')->name('my_clients-add_new');
Route::get('/my_clients/view/{uid}', 'my_clients_Controller@view')->name('my_clients-view');

// --- pro: my_clients_SINGLE --- //
Route::get('/my_clients/view/{uid}/ACTION_sendCellNumberConfirmationMessage', 'my_clients_SINGLE_Controller@ACTION_sendCellNumberConfirmationMessage')->name('my_clients_SINGLE-ACTION_sendCellNumberConfirmationMessage');
Route::get('/my_clients/view/{uid}/ACTION_confirmCellNumberWithConfirmationToken', 'my_clients_SINGLE_Controller@ACTION_confirmCellNumberWithConfirmationToken')->name('my_clients_SINGLE-ACTION_confirmCellNumberWithConfirmationToken');
Route::get('/my_clients/view/{uid}/ACTION_putNewCellNumber', 'my_clients_SINGLE_Controller@ACTION_putNewCellNumber')->name('my_clients_SINGLE-ACTION_putNewCellNumber');
Route::get('/my_clients/view/{uid}/ACTION_sendEmailAddressConfirmationMessage', 'my_clients_SINGLE_Controller@ACTION_sendEmailAddressConfirmationMessage')->name('my_clients_SINGLE-ACTION_sendEmailAddressConfirmationMessage');
Route::get('/my_clients/view/{uid}/ACTION_confirmEmailAddressWithConfirmationToken', 'my_clients_SINGLE_Controller@ACTION_confirmEmailAddressWithConfirmationToken')->name('my_clients_SINGLE-ACTION_confirmEmailAddressWithConfirmationToken');
Route::get('/my_clients/view/{uid}/ACTION_putNewEmailAddress', 'my_clients_SINGLE_Controller@ACTION_putNewEmailAddress')->name('my_clients_SINGLE-ACTION_putNewEmailAddress');
Route::get('/my_clients/view/{uid}/ACTION_putTeam', 'my_clients_SINGLE_Controller@ACTION_putTeam')->name('my_clients_SINGLE-ACTION_putTeam');
Route::get('/my_clients/view/{uid}/ACTION_removeTeam', 'my_clients_SINGLE_Controller@ACTION_removeTeam')->name('my_clients_SINGLE-ACTION_removeTeam');
Route::get('/my_clients/view/{uid}/ACTION_putMcp', 'my_clients_SINGLE_Controller@ACTION_putMcp')->name('my_clients_SINGLE-ACTION_putMcp');
Route::get('/my_clients/view/{uid}/ACTION_removeMcp', 'my_clients_SINGLE_Controller@ACTION_removeMcp')->name('my_clients_SINGLE-ACTION_removeMcp');
Route::get('/my_clients/view/{uid}/ACTION_putAlly', 'my_clients_SINGLE_Controller@ACTION_putAlly')->name('my_clients_SINGLE-ACTION_putAlly');
Route::get('/my_clients/view/{uid}/ACTION_removeAlly', 'my_clients_SINGLE_Controller@ACTION_removeAlly')->name('my_clients_SINGLE-ACTION_removeAlly');
Route::get('/my_clients/view/{uid}/ACTION_putName', 'my_clients_SINGLE_Controller@ACTION_putName')->name('my_clients_SINGLE-ACTION_putName');
Route::get('/my_clients/view/{uid}/ACTION_putGender', 'my_clients_SINGLE_Controller@ACTION_putGender')->name('my_clients_SINGLE-ACTION_putGender');
Route::get('/my_clients/view/{uid}/ACTION_putDateOfBirth', 'my_clients_SINGLE_Controller@ACTION_putDateOfBirth')->name('my_clients_SINGLE-ACTION_putDateOfBirth');
Route::get('/my_clients/view/{uid}/ACTION_putProfilePicture', 'my_clients_SINGLE_Controller@ACTION_putProfilePicture')->name('my_clients_SINGLE-ACTION_putProfilePicture');
Route::get('/my_clients/view/{uid}/ACTION_removeProfilePicture', 'my_clients_SINGLE_Controller@ACTION_removeProfilePicture')->name('my_clients_SINGLE-ACTION_removeProfilePicture');
Route::get('/my_clients/view/{uid}/ACTION_updatePhoneInfo', 'my_clients_SINGLE_Controller@ACTION_updatePhoneInfo')->name('my_clients_SINGLE-ACTION_updatePhoneInfo');
Route::get('/my_clients/view/{uid}/ACTION_updateAddress', 'my_clients_SINGLE_Controller@ACTION_updateAddress')->name('my_clients_SINGLE-ACTION_updateAddress');
Route::get('/my_clients/view/{uid}/ACTION_updateMedicareNumber', 'my_clients_SINGLE_Controller@ACTION_updateMedicareNumber')->name('my_clients_SINGLE-ACTION_updateMedicareNumber');
Route::get('/my_clients/view/{uid}/ACTION_manuallySetIsPartBPrimaryConfirmedToTrue', 'my_clients_SINGLE_Controller@ACTION_manuallySetIsPartBPrimaryConfirmedToTrue')->name('my_clients_SINGLE-ACTION_manuallySetIsPartBPrimaryConfirmedToTrue');
Route::get('/my_clients/view/{uid}/ACTION_manuallySetIsPartBPrimaryConfirmedToFalse', 'my_clients_SINGLE_Controller@ACTION_manuallySetIsPartBPrimaryConfirmedToFalse')->name('my_clients_SINGLE-ACTION_manuallySetIsPartBPrimaryConfirmedToFalse');
Route::get('/my_clients/view/{uid}/ACTION_setHasMcpDoneEmVisitToTrue', 'my_clients_SINGLE_Controller@ACTION_setHasMcpDoneEmVisitToTrue')->name('my_clients_SINGLE-ACTION_setHasMcpDoneEmVisitToTrue');
Route::get('/my_clients/view/{uid}/ACTION_updateMcpEmVisitInfo', 'my_clients_SINGLE_Controller@ACTION_updateMcpEmVisitInfo')->name('my_clients_SINGLE-ACTION_updateMcpEmVisitInfo');
Route::get('/my_clients/view/{uid}/ACTION_setHasMcpDoneEmVisitToFalse', 'my_clients_SINGLE_Controller@ACTION_setHasMcpDoneEmVisitToFalse')->name('my_clients_SINGLE-ACTION_setHasMcpDoneEmVisitToFalse');
Route::get('/my_clients/view/{uid}/ACTION_putCrmReasons', 'my_clients_SINGLE_Controller@ACTION_putCrmReasons')->name('my_clients_SINGLE-ACTION_putCrmReasons');
Route::get('/my_clients/view/{uid}/ACTION_removeCrmReasons', 'my_clients_SINGLE_Controller@ACTION_removeCrmReasons')->name('my_clients_SINGLE-ACTION_removeCrmReasons');
Route::get('/my_clients/view/{uid}/ACTION_setIsClientEnrolledInCmToTrue', 'my_clients_SINGLE_Controller@ACTION_setIsClientEnrolledInCmToTrue')->name('my_clients_SINGLE-ACTION_setIsClientEnrolledInCmToTrue');
Route::get('/my_clients/view/{uid}/ACTION_setIsClientEnrolledInCmToFalse', 'my_clients_SINGLE_Controller@ACTION_setIsClientEnrolledInCmToFalse')->name('my_clients_SINGLE-ACTION_setIsClientEnrolledInCmToFalse');
Route::get('/my_clients/view/{uid}/ACTION_updateWhyNotEnrolledInCm', 'my_clients_SINGLE_Controller@ACTION_updateWhyNotEnrolledInCm')->name('my_clients_SINGLE-ACTION_updateWhyNotEnrolledInCm');
Route::get('/my_clients/view/{uid}/ACTION_setIsClientEnrolledInRmToTrue', 'my_clients_SINGLE_Controller@ACTION_setIsClientEnrolledInRmToTrue')->name('my_clients_SINGLE-ACTION_setIsClientEnrolledInRmToTrue');
Route::get('/my_clients/view/{uid}/ACTION_setIsClientEnrolledInRmToFalse', 'my_clients_SINGLE_Controller@ACTION_setIsClientEnrolledInRmToFalse')->name('my_clients_SINGLE-ACTION_setIsClientEnrolledInRmToFalse');
Route::get('/my_clients/view/{uid}/ACTION_updateWhyNotEnrolledInRm', 'my_clients_SINGLE_Controller@ACTION_updateWhyNotEnrolledInRm')->name('my_clients_SINGLE-ACTION_updateWhyNotEnrolledInRm');
Route::get('/my_clients/view/{uid}/ACTION_updateIntakeInfo', 'my_clients_SINGLE_Controller@ACTION_updateIntakeInfo')->name('my_clients_SINGLE-ACTION_updateIntakeInfo');
Route::get('/my_clients/view/{uid}/ACTION_deactivate', 'my_clients_SINGLE_Controller@ACTION_deactivate')->name('my_clients_SINGLE-ACTION_deactivate');
Route::get('/my_clients/view/{uid}/ACTION_updateDeactivationMemo', 'my_clients_SINGLE_Controller@ACTION_updateDeactivationMemo')->name('my_clients_SINGLE-ACTION_updateDeactivationMemo');
Route::get('/my_clients/view/{uid}/ACTION_reactivate', 'my_clients_SINGLE_Controller@ACTION_reactivate')->name('my_clients_SINGLE-ACTION_reactivate');
Route::get('/my_clients/view/{uid}/ACTION_updateReactivationMemo', 'my_clients_SINGLE_Controller@ACTION_updateReactivationMemo')->name('my_clients_SINGLE-ACTION_updateReactivationMemo');
Route::get('/my_clients/view/{uid}/SUB_dashboard', 'my_clients_SINGLE_Controller@SUB_dashboard')->name('my_clients_SINGLE-SUB_dashboard');
Route::get('/my_clients/view/{uid}/SUB_med_profile', 'my_clients_SINGLE_Controller@SUB_med_profile')->name('my_clients_SINGLE-SUB_med_profile');
Route::get('/my_clients/view/{uid}/SUB_med_profile_log', 'my_clients_SINGLE_Controller@SUB_med_profile_log')->name('my_clients_SINGLE-SUB_med_profile_log');
Route::get('/my_clients/view/{uid}/SUB_pro_access', 'my_clients_SINGLE_Controller@SUB_pro_access')->name('my_clients_SINGLE-SUB_pro_access');
Route::get('/my_clients/view/{uid}/SUB_notes', 'my_clients_SINGLE_Controller@SUB_notes')->name('my_clients_SINGLE-SUB_notes');
Route::get('/my_clients/view/{uid}/SUB_care_months', 'my_clients_SINGLE_Controller@SUB_care_months')->name('my_clients_SINGLE-SUB_care_months');
Route::get('/my_clients/view/{uid}/SUB_care_month_entries', 'my_clients_SINGLE_Controller@SUB_care_month_entries')->name('my_clients_SINGLE-SUB_care_month_entries');
Route::get('/my_clients/view/{uid}/SUB_bills', 'my_clients_SINGLE_Controller@SUB_bills')->name('my_clients_SINGLE-SUB_bills');
Route::get('/my_clients/view/{uid}/SUB_related_transactions', 'my_clients_SINGLE_Controller@SUB_related_transactions')->name('my_clients_SINGLE-SUB_related_transactions');
Route::get('/my_clients/view/{uid}/SUB_action_items', 'my_clients_SINGLE_Controller@SUB_action_items')->name('my_clients_SINGLE-SUB_action_items');
Route::get('/my_clients/view/{uid}/SUB_erx', 'my_clients_SINGLE_Controller@SUB_erx')->name('my_clients_SINGLE-SUB_erx');
Route::get('/my_clients/view/{uid}/SUB_mcp_updates', 'my_clients_SINGLE_Controller@SUB_mcp_updates')->name('my_clients_SINGLE-SUB_mcp_updates');
Route::get('/my_clients/view/{uid}/SUB_ally_updates', 'my_clients_SINGLE_Controller@SUB_ally_updates')->name('my_clients_SINGLE-SUB_ally_updates');
Route::get('/my_clients/view/{uid}/SUB_audit_log', 'my_clients_SINGLE_Controller@SUB_audit_log')->name('my_clients_SINGLE-SUB_audit_log');
Route::get('/my_clients/view/{uid}/ACTION_notesAddNew', 'my_clients_SINGLE_Controller@ACTION_notesAddNew')->name('my_clients_SINGLE-ACTION_notesAddNew');
Route::get('/my_clients/view/{uid}/ACTION_care_monthsAddNew', 'my_clients_SINGLE_Controller@ACTION_care_monthsAddNew')->name('my_clients_SINGLE-ACTION_care_monthsAddNew');

// --- pro: notes --- //
Route::get('/notes', 'notes_Controller@index')->name('notes-index');
Route::get('/notes/add_new', 'notes_Controller@add_new')->name('notes-add_new');
Route::get('/notes/view/{uid}', 'notes_Controller@view')->name('notes-view');

// --- pro: notes_SINGLE --- //
Route::get('/notes/view/{uid}/ACTION_signAsHcp', 'notes_SINGLE_Controller@ACTION_signAsHcp')->name('notes_SINGLE-ACTION_signAsHcp');
Route::get('/notes/view/{uid}/SUB_dashboard', 'notes_SINGLE_Controller@SUB_dashboard')->name('notes_SINGLE-SUB_dashboard');
Route::get('/notes/view/{uid}/SUB_audit_log', 'notes_SINGLE_Controller@SUB_audit_log')->name('notes_SINGLE-SUB_audit_log');

// --- pro: action_items --- //
Route::get('/action_items', 'action_items_Controller@index')->name('action_items-index');
Route::get('/action_items/view/{uid}', 'action_items_Controller@view')->name('action_items-view');

// --- pro: action_items_SINGLE --- //
Route::get('/action_items/view/{uid}/SUB_dashboard', 'action_items_SINGLE_Controller@SUB_dashboard')->name('action_items_SINGLE-SUB_dashboard');
Route::get('/action_items/view/{uid}/SUB_audit_log', 'action_items_SINGLE_Controller@SUB_audit_log')->name('action_items_SINGLE-SUB_audit_log');

// --- pro: care_months --- //
Route::get('/care_months', 'care_months_Controller@index')->name('care_months-index');
Route::get('/care_months/add_new', 'care_months_Controller@add_new')->name('care_months-add_new');
Route::get('/care_months/view/{uid}', 'care_months_Controller@view')->name('care_months-view');

// --- pro: care_months_SINGLE --- //
Route::get('/care_months/view/{uid}/ACTION_generateBillForCm', 'care_months_SINGLE_Controller@ACTION_generateBillForCm')->name('care_months_SINGLE-ACTION_generateBillForCm');
Route::get('/care_months/view/{uid}/ACTION_generateBillForRm', 'care_months_SINGLE_Controller@ACTION_generateBillForRm')->name('care_months_SINGLE-ACTION_generateBillForRm');
Route::get('/care_months/view/{uid}/SUB_dashboard', 'care_months_SINGLE_Controller@SUB_dashboard')->name('care_months_SINGLE-SUB_dashboard');
Route::get('/care_months/view/{uid}/SUB_time_entries', 'care_months_SINGLE_Controller@SUB_time_entries')->name('care_months_SINGLE-SUB_time_entries');
Route::get('/care_months/view/{uid}/SUB_audit_log', 'care_months_SINGLE_Controller@SUB_audit_log')->name('care_months_SINGLE-SUB_audit_log');

// --- pro: care_month_entries --- //
Route::get('/care_month_entries', 'care_month_entries_Controller@index')->name('care_month_entries-index');
Route::get('/care_month_entries/add_new_for_cm', 'care_month_entries_Controller@add_new_for_cm')->name('care_month_entries-add_new_for_cm');
Route::get('/care_month_entries/add_new_for_rm', 'care_month_entries_Controller@add_new_for_rm')->name('care_month_entries-add_new_for_rm');
Route::get('/care_month_entries/remove/{uid}', 'care_month_entries_Controller@remove')->name('care_month_entries-remove');
Route::get('/care_month_entries/view/{uid}', 'care_month_entries_Controller@view')->name('care_month_entries-view');

// --- pro: care_month_entries_SINGLE --- //
Route::get('/care_month_entries/view/{uid}/ACTION_updateContent', 'care_month_entries_SINGLE_Controller@ACTION_updateContent')->name('care_month_entries_SINGLE-ACTION_updateContent');
Route::get('/care_month_entries/view/{uid}/ACTION_updateTiming', 'care_month_entries_SINGLE_Controller@ACTION_updateTiming')->name('care_month_entries_SINGLE-ACTION_updateTiming');
Route::get('/care_month_entries/view/{uid}/SUB_dashboard', 'care_month_entries_SINGLE_Controller@SUB_dashboard')->name('care_month_entries_SINGLE-SUB_dashboard');

// --- pro: bills --- //
Route::get('/bills', 'bills_Controller@index')->name('bills-index');
Route::get('/bills/add_new_for_note', 'bills_Controller@add_new_for_note')->name('bills-add_new_for_note');
Route::get('/bills/view/{uid}', 'bills_Controller@view')->name('bills-view');

// --- pro: bills_SINGLE --- //
Route::get('/bills/view/{uid}/ACTION_payHcpAmount', 'bills_SINGLE_Controller@ACTION_payHcpAmount')->name('bills_SINGLE-ACTION_payHcpAmount');
Route::get('/bills/view/{uid}/ACTION_payHcpDifferentAmount', 'bills_SINGLE_Controller@ACTION_payHcpDifferentAmount')->name('bills_SINGLE-ACTION_payHcpDifferentAmount');
Route::get('/bills/view/{uid}/ACTION_signAsHcp', 'bills_SINGLE_Controller@ACTION_signAsHcp')->name('bills_SINGLE-ACTION_signAsHcp');
Route::get('/bills/view/{uid}/ACTION_markSubmitted', 'bills_SINGLE_Controller@ACTION_markSubmitted')->name('bills_SINGLE-ACTION_markSubmitted');
Route::get('/bills/view/{uid}/ACTION_putCollectedAmount', 'bills_SINGLE_Controller@ACTION_putCollectedAmount')->name('bills_SINGLE-ACTION_putCollectedAmount');
Route::get('/bills/view/{uid}/SUB_dashboard', 'bills_SINGLE_Controller@SUB_dashboard')->name('bills_SINGLE-SUB_dashboard');
Route::get('/bills/view/{uid}/SUB_transactions', 'bills_SINGLE_Controller@SUB_transactions')->name('bills_SINGLE-SUB_transactions');
Route::get('/bills/view/{uid}/SUB_audit_log', 'bills_SINGLE_Controller@SUB_audit_log')->name('bills_SINGLE-SUB_audit_log');

// --- pro: transactions --- //
Route::get('/transactions', 'transactions_Controller@index')->name('transactions-index');

// --- pro: pro_access --- //
Route::get('/pro_access', 'pro_access_Controller@index')->name('pro_access-index');

// --- pro: mcp_updates --- //
Route::get('/mcp_updates', 'mcp_updates_Controller@index')->name('mcp_updates-index');

// --- pro: ally_updates --- //
Route::get('/ally_updates', 'ally_updates_Controller@index')->name('ally_updates-index');

// --- admin: facilities --- //
Route::get('/facilities', 'facilities_Controller@index')->name('facilities-index');
Route::get('/facilities/add_new', 'facilities_Controller@add_new')->name('facilities-add_new');
Route::get('/facilities/view/{uid}', 'facilities_Controller@view')->name('facilities-view');

// --- admin: facilities_SINGLE --- //
Route::get('/facilities/view/{uid}/SUB_dashboard', 'facilities_SINGLE_Controller@SUB_dashboard')->name('facilities_SINGLE-SUB_dashboard');
Route::get('/facilities/view/{uid}/SUB_erx', 'facilities_SINGLE_Controller@SUB_erx')->name('facilities_SINGLE-SUB_erx');
Route::get('/facilities/view/{uid}/SUB_action_items', 'facilities_SINGLE_Controller@SUB_action_items')->name('facilities_SINGLE-SUB_action_items');
Route::get('/facilities/view/{uid}/SUB_audit_log', 'facilities_SINGLE_Controller@SUB_audit_log')->name('facilities_SINGLE-SUB_audit_log');

// --- admin: pros --- //
Route::get('/pros', 'pros_Controller@index')->name('pros-index');
Route::get('/pros/add_new', 'pros_Controller@add_new')->name('pros-add_new');
Route::get('/pros/view/{uid}', 'pros_Controller@view')->name('pros-view');

// --- admin: pros_SINGLE --- //
Route::get('/pros/view/{uid}/ACTION_sendCellNumberConfirmationMessage', 'pros_SINGLE_Controller@ACTION_sendCellNumberConfirmationMessage')->name('pros_SINGLE-ACTION_sendCellNumberConfirmationMessage');
Route::get('/pros/view/{uid}/ACTION_confirmCellNumberWithConfirmationToken', 'pros_SINGLE_Controller@ACTION_confirmCellNumberWithConfirmationToken')->name('pros_SINGLE-ACTION_confirmCellNumberWithConfirmationToken');
Route::get('/pros/view/{uid}/ACTION_putNewCellNumber', 'pros_SINGLE_Controller@ACTION_putNewCellNumber')->name('pros_SINGLE-ACTION_putNewCellNumber');
Route::get('/pros/view/{uid}/ACTION_confirmEmailAddressWithConfirmationToken', 'pros_SINGLE_Controller@ACTION_confirmEmailAddressWithConfirmationToken')->name('pros_SINGLE-ACTION_confirmEmailAddressWithConfirmationToken');
Route::get('/pros/view/{uid}/ACTION_putNewEmailAddress', 'pros_SINGLE_Controller@ACTION_putNewEmailAddress')->name('pros_SINGLE-ACTION_putNewEmailAddress');
Route::get('/pros/view/{uid}/ACTION_updateName', 'pros_SINGLE_Controller@ACTION_updateName')->name('pros_SINGLE-ACTION_updateName');
Route::get('/pros/view/{uid}/ACTION_updateProfession', 'pros_SINGLE_Controller@ACTION_updateProfession')->name('pros_SINGLE-ACTION_updateProfession');
Route::get('/pros/view/{uid}/ACTION_updateEnrolledHcpInfo', 'pros_SINGLE_Controller@ACTION_updateEnrolledHcpInfo')->name('pros_SINGLE-ACTION_updateEnrolledHcpInfo');
Route::get('/pros/view/{uid}/ACTION_putProfilePicture', 'pros_SINGLE_Controller@ACTION_putProfilePicture')->name('pros_SINGLE-ACTION_putProfilePicture');
Route::get('/pros/view/{uid}/ACTION_updatePhoneInfo', 'pros_SINGLE_Controller@ACTION_updatePhoneInfo')->name('pros_SINGLE-ACTION_updatePhoneInfo');
Route::get('/pros/view/{uid}/ACTION_updateAddress', 'pros_SINGLE_Controller@ACTION_updateAddress')->name('pros_SINGLE-ACTION_updateAddress');
Route::get('/pros/view/{uid}/ACTION_updatePaymentProcessingDetail', 'pros_SINGLE_Controller@ACTION_updatePaymentProcessingDetail')->name('pros_SINGLE-ACTION_updatePaymentProcessingDetail');
Route::get('/pros/view/{uid}/ACTION_uploadDriverLicense', 'pros_SINGLE_Controller@ACTION_uploadDriverLicense')->name('pros_SINGLE-ACTION_uploadDriverLicense');
Route::get('/pros/view/{uid}/ACTION_updateDriverLicenseInfo', 'pros_SINGLE_Controller@ACTION_updateDriverLicenseInfo')->name('pros_SINGLE-ACTION_updateDriverLicenseInfo');
Route::get('/pros/view/{uid}/ACTION_updateSsn', 'pros_SINGLE_Controller@ACTION_updateSsn')->name('pros_SINGLE-ACTION_updateSsn');
Route::get('/pros/view/{uid}/SUB_dashboard', 'pros_SINGLE_Controller@SUB_dashboard')->name('pros_SINGLE-SUB_dashboard');
Route::get('/pros/view/{uid}/SUB_payment_schedule', 'pros_SINGLE_Controller@SUB_payment_schedule')->name('pros_SINGLE-SUB_payment_schedule');
Route::get('/pros/view/{uid}/SUB_teams', 'pros_SINGLE_Controller@SUB_teams')->name('pros_SINGLE-SUB_teams');
Route::get('/pros/view/{uid}/SUB_clients', 'pros_SINGLE_Controller@SUB_clients')->name('pros_SINGLE-SUB_clients');
Route::get('/pros/view/{uid}/SUB_pro_access', 'pros_SINGLE_Controller@SUB_pro_access')->name('pros_SINGLE-SUB_pro_access');
Route::get('/pros/view/{uid}/SUB_mcp_updates', 'pros_SINGLE_Controller@SUB_mcp_updates')->name('pros_SINGLE-SUB_mcp_updates');
Route::get('/pros/view/{uid}/SUB_ally_updates', 'pros_SINGLE_Controller@SUB_ally_updates')->name('pros_SINGLE-SUB_ally_updates');
Route::get('/pros/view/{uid}/SUB_erx', 'pros_SINGLE_Controller@SUB_erx')->name('pros_SINGLE-SUB_erx');
Route::get('/pros/view/{uid}/SUB_action_items', 'pros_SINGLE_Controller@SUB_action_items')->name('pros_SINGLE-SUB_action_items');
Route::get('/pros/view/{uid}/SUB_care_months', 'pros_SINGLE_Controller@SUB_care_months')->name('pros_SINGLE-SUB_care_months');
Route::get('/pros/view/{uid}/SUB_care_month_entries', 'pros_SINGLE_Controller@SUB_care_month_entries')->name('pros_SINGLE-SUB_care_month_entries');
Route::get('/pros/view/{uid}/SUB_notes', 'pros_SINGLE_Controller@SUB_notes')->name('pros_SINGLE-SUB_notes');
Route::get('/pros/view/{uid}/SUB_bills', 'pros_SINGLE_Controller@SUB_bills')->name('pros_SINGLE-SUB_bills');
Route::get('/pros/view/{uid}/SUB_pro_transactions', 'pros_SINGLE_Controller@SUB_pro_transactions')->name('pros_SINGLE-SUB_pro_transactions');
Route::get('/pros/view/{uid}/SUB_sessions', 'pros_SINGLE_Controller@SUB_sessions')->name('pros_SINGLE-SUB_sessions');
Route::get('/pros/view/{uid}/SUB_audit_log', 'pros_SINGLE_Controller@SUB_audit_log')->name('pros_SINGLE-SUB_audit_log');

// --- admin: pro_rates_SINGLE --- //
Route::get('/pro_rates/view/{uid}/ACTION_updateAmount', 'pro_rates_SINGLE_Controller@ACTION_updateAmount')->name('pro_rates_SINGLE-ACTION_updateAmount');
Route::get('/pro_rates/view/{uid}/SUB_dashboard', 'pro_rates_SINGLE_Controller@SUB_dashboard')->name('pro_rates_SINGLE-SUB_dashboard');

// --- admin: pro_rates --- //
Route::get('/pro_rates', 'pro_rates_Controller@index')->name('pro_rates-index');
Route::get('/pro_rates/add_new', 'pro_rates_Controller@add_new')->name('pro_rates-add_new');
Route::get('/pro_rates/view/{uid}', 'pro_rates_Controller@view')->name('pro_rates-view');

